#include<bits/stdc++.h>
using namespace std;
int main(){
    int n;
    cin>>n;
    string s;
    for(int i=0; i<n; i++){
        cin>>s;
        vector<int>v(52);
        for(int j=0; j<s.size(); j++){
            1;
        }
    }
    return 0;
}
